{
  inputs,
  overlays,
}:
let
  inherit (inputs)
    nixpkgs
    home-manager
    plasma-manager
    ;
in
nixpkgs.lib.nixosSystem {
  system = "x86_64-linux";

  modules = [
    "${nixpkgs}/nixos/modules/installer/cd-dvd/installation-cd-graphical-calamares-plasma6.nix"

    "${inputs.self}/modules/mizukios/base"

    home-manager.nixosModules.home-manager
    {
      home-manager.useGlobalPkgs = true;
      home-manager.useUserPackages = true;
      home-manager.backupFileExtension = "backup";
      home-manager.extraSpecialArgs = { inherit inputs; };
      home-manager.users.nixos = import ./home.nix;
      home-manager.sharedModules = [
        plasma-manager.homeModules.plasma-manager
      ];
    }

    ({ pkgs, ... }: {
      environment.systemPackages = with pkgs; [
        fastfetch
        git
        neovim

        ghostty
        cryptsetup
        lvm2
        sbctl
      ];

      security.sudo.enable = false;

      users.users.nixos = {
        shell = pkgs.fish;
      };

      environment.etc.flake.source = "${inputs.self}";
    })
  ];

  specialArgs = {
    inherit inputs overlays;
  };
}
